Bug 1859185 - Running ipa-server-install fails on machine where libsss_sudo is not installed
Summary: Running ipa-server-install fails on machine where libsss_sudo is not installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freeipa
Version: 33
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: IPA Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1859177 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-21 12:06 UTC by Jan Pazdziora
Modified: 2021-04-21 20:04 UTC (History)
17 users (show)

Fixed In Version: freeipa-4.9.3-1.fc34 freeipa-4.9.3-1.fc32 freeipa-4.9.3-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1859177
Environment:
Last Closed: 2021-04-02 00:17:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan Pazdziora 2020-07-21 12:06:41 UTC
Description of problem:

In environment where libsss_sudo is not installed, like in container but on host alike, ipa-server-install now fails to finish properly.

Version-Release number of selected component (if applicable):

pki-server-10.9.0-0.2.fc33.noarch
freeipa-server-4.8.7-1.fc33.x86_64

How reproducible:

Deterministic.

Steps to Reproduce:
1. dnf remove -y /usr/lib64/libsss_sudo.so
2. dnf install -y --setopt=install_weak_deps=False freeipa-server
3. ipa-server-install -U -r EXAMPLE.TEST -p Secret123 -a Secret123

Actual results:

  [4/5]: starting ipa-custodia 
  [5/5]: configuring ipa-custodia to start on boot
Done configuring ipa-custodia.
Configuring certificate server (pki-tomcatd). Estimated time: 3 minutes
  [1/30]: configuring certificate server instance
Failed to configure CA instance: CalledProcessError(Command ['/usr/sbin/pkispawn', '-s', 'CA', '-f', '/tmp/tmpv72feazp'] returned non-zero exit status 1: 'Notice: Trust flag u is set automatically if the private key is present.\nsudo: unable to load /usr/lib64/libsss_sudo.so: /usr/lib64/libsss_sudo.so: cannot open shared object file: No such file or directory\nsudo: unable to initialize SSS source. Is SSSD installed on your machine?\nsudo: unable to load /usr/lib64/libsss_sudo.so: /usr/lib64/libsss_sudo.so: cannot open shared object file: No such file or directory\nsudo: unable to initialize SSS source. Is SSSD installed on your machine?\nERROR: Exception: CA subsystem did not start after 60s\n  File "/usr/lib/python3.9/site-packages/pki/server/pkispawn.py", line 569, in main\n    scriptlet.spawn(deployer)\n  File "/usr/lib/python3.9/site-packages/pki/server/deployment/scriptlets/configuration.py", line 886, in spawn\n    deployer.instance.wait_for_startup(\n  File "/usr/lib/python3.9/site-packages/pki/server/deployment/pkihelper.py", line 891, in wait_for_startup\n    raise Exception(\'%s subsystem did not start after %ds\' %\n\n')
See the installation logs and the following files/directories for more information:
  /var/log/pki/pki-tomcat
  [error] RuntimeError: CA configuration failed.
CA configuration failed.
The ipa-server-install command failed. See /var/log/ipaserver-install.log for more information


Expected results:

  [4/5]: starting ipa-custodia 
  [5/5]: configuring ipa-custodia to start on boot
Done configuring ipa-custodia.
Configuring certificate server (pki-tomcatd). Estimated time: 3 minutes
  [1/30]: configuring certificate server instance
  [2/30]: Add ipa-pki-wait-running
  [3/30]: secure AJP connector
  [4/30]: reindex attributes
  [5/30]: exporting Dogtag certificate store pin
  [6/30]: stopping certificate server instance to update CS.cfg
[...]
The ipa-server-install command was successful

or maybe

  [4/5]: starting ipa-custodia 
  [5/5]: configuring ipa-custodia to start on boot
Done configuring ipa-custodia.
Configuring certificate server (pki-tomcatd). Estimated time: 3 minutes
  [1/30]: configuring certificate server instance
Failed to configure CA instance: CalledProcessError(Command ['/usr/sbin/pkispawn', '-s', 'CA', '-f', '/tmp/tmpag8a3qe6'] returned non-zero exit status 1: 'Notice: Trust flag u is set automatically if the private key is present.\nERROR: Exception: CA subsystem did not start after 60s\n  File "/usr/lib/python3.9/site-packages/pki/server/pkispawn.py", line 569, in main\n    scriptlet.spawn(deployer)\n  File "/usr/lib/python3.9/site-packages/pki/server/deployment/scriptlets/configuration.py", line 886, in spawn\n    deployer.instance.wait_for_startup(\n  File "/usr/lib/python3.9/site-packages/pki/server/deployment/pkihelper.py", line 891, in wait_for_startup\n    raise Exception(\'%s subsystem did not start after %ds\' %\n\n')
See the installation logs and the following files/directories for more information:
  /var/log/pki/pki-tomcat
  [error] RuntimeError: CA configuration failed.
CA configuration failed.
The ipa-server-install command failed. See /var/log/ipaserver-install.log for more information

before the new tomcat for bug 1857043 lands in the mirrors.

Additional info:

Either whatever component that requires / configures libsss_sudo to be present should hard-require it, or ideally sudo shouldn't be used by the installer.

This is a regression against Fedora 32.

Comment 1 Jan Pazdziora 2020-07-21 12:07:49 UTC
*** Bug 1859177 has been marked as a duplicate of this bug. ***

Comment 2 François Cami 2020-07-21 13:35:40 UTC
So calling /usr/sbin/pkispawn results in:
sudo: unable to load /usr/lib64/libsss_sudo.so: /usr/lib64/libsss_sudo.so: cannot open shared object file: No such file or directory
sudo: unable to initialize SSS source. Is SSSD installed on your machine?
just because PKI calls sudo. 

Jan, could you please attach the complete /var/log/ipaserver-install.log from this attempt?

Comment 3 Jan Pazdziora 2020-07-21 15:58:21 UTC
I don't have the complete log but it ends with

pki_hsm_enable = False
pki_hsm_libfile = 
pki_hsm_modulename = 
pki_import_admin_cert = False
pki_instance_configuration_path = /data/etc/pki/pki-tomcat
pki_instance_name = pki-tomcat
pki_issuing_ca = https://ipa.example.test:443
pki_issuing_ca_hostname = ipa.example.test
pki_issuing_ca_https_port = 443
pki_issuing_ca_uri = https://ipa.example.test:443
pki_master_crl_enable = True
pki_ocsp_signing_key_algorithm = SHA256withRSA
pki_ocsp_signing_key_size = 2048
pki_ocsp_signing_key_type = rsa
pki_ocsp_signing_nickname = ocspSigningCert cert-pki-ca
pki_ocsp_signing_signing_algorithm = SHA256withRSA
pki_ocsp_signing_subject_dn = cn=OCSP Subsystem,O=EXAMPLE.TEST
pki_ocsp_signing_token = internal
pki_pkcs12_password = 
pki_pkcs12_path = 
pki_profiles_in_ldap = True
pki_random_serial_numbers_enable = False
pki_replica_number_range_end = 100
pki_replica_number_range_start = 1
pki_replication_password = 
pki_request_number_range_end = 10000000
pki_request_number_range_start = 1
pki_restart_configured_instance = False
pki_san_for_server_cert = 
pki_san_inject = False
pki_security_domain_hostname = ipa.example.test
pki_security_domain_https_port = 443
pki_security_domain_name = IPA
pki_security_domain_password = XXXXXXXX
pki_security_domain_user = admin
pki_self_signed_token = internal
pki_serial_number_range_end = 10000000
pki_serial_number_range_start = 1
pki_server_database_password = XXXXXXXX
pki_share_db = False
pki_skip_configuration = False
pki_skip_ds_verify = False
pki_skip_installation = False
pki_skip_sd_verify = False
pki_ssl_server_token = internal
pki_sslserver_key_algorithm = SHA256withRSA
pki_sslserver_key_size = 2048
pki_sslserver_key_type = rsa
pki_sslserver_nickname = Server-Cert cert-pki-ca
pki_sslserver_subject_dn = cn=ipa.example.test,O=EXAMPLE.TEST
pki_sslserver_token = internal
pki_status_request_timeout = 15
pki_subordinate = False
pki_subordinate_create_new_security_domain = False
pki_subsystem = CA
pki_subsystem_key_algorithm = SHA256withRSA
pki_subsystem_key_size = 2048
pki_subsystem_key_type = rsa
pki_subsystem_nickname = subsystemCert cert-pki-ca
pki_subsystem_subject_dn = cn=CA Subsystem,O=EXAMPLE.TEST
pki_subsystem_token = internal
pki_subsystem_type = ca
pki_theme_enable = True
pki_theme_server_dir = /usr/share/pki/common-ui
pki_token_name = internal
pki_user = pkiuser


2020-07-21T15:55:00Z DEBUG Starting external process
2020-07-21T15:55:00Z DEBUG args=['/usr/sbin/pkispawn', '-s', 'CA', '-f', '/tmp/tmpdcg6sf32']
2020-07-21T15:56:24Z DEBUG Process finished, return code=1
2020-07-21T15:56:24Z DEBUG stdout=Loading deployment configuration from /tmp/tmpdcg6sf32.
WARNING: The 'pki_ssl_server_token' in [CA] has been deprecated. Use 'pki_sslserver_token' instead.
Installation log: /var/log/pki/pki-ca-spawn.20200721155500.log
Installing CA into /var/lib/pki/pki-tomcat.

Installation failed: CA subsystem did not start after 60s


2020-07-21T15:56:24Z DEBUG stderr=Notice: Trust flag u is set automatically if the private key is present.
sudo: unable to load /usr/lib64/libsss_sudo.so: /usr/lib64/libsss_sudo.so: cannot open shared object file: No such file or directory
sudo: unable to initialize SSS source. Is SSSD installed on your machine?
sudo: unable to load /usr/lib64/libsss_sudo.so: /usr/lib64/libsss_sudo.so: cannot open shared object file: No such file or directory
sudo: unable to initialize SSS source. Is SSSD installed on your machine?
ERROR: Exception: CA subsystem did not start after 60s
  File "/usr/lib/python3.9/site-packages/pki/server/pkispawn.py", line 569, in main
    scriptlet.spawn(deployer)
  File "/usr/lib/python3.9/site-packages/pki/server/deployment/scriptlets/configuration.py", line 886, in spawn
    deployer.instance.wait_for_startup(
  File "/usr/lib/python3.9/site-packages/pki/server/deployment/pkihelper.py", line 891, in wait_for_startup
    raise Exception('%s subsystem did not start after %ds' %


2020-07-21T15:56:24Z CRITICAL Failed to configure CA instance: CalledProcessError(Command ['/usr/sbin/pkispawn', '-s', 'CA', '-f', '/tmp/tmpdcg6sf32'] returned non-zero exit status 1: 'Notice: Trust flag u is set automatically if the private key is present.\nsudo: unable to load /usr/lib64/libsss_sudo.so: /usr/lib64/libsss_sudo.so: cannot open shared object file: No such file or directory\nsudo: unable to initialize SSS source. Is SSSD installed on your machine?\nsudo: unable to load /usr/lib64/libsss_sudo.so: /usr/lib64/libsss_sudo.so: cannot open shared object file: No such file or directory\nsudo: unable to initialize SSS source. Is SSSD installed on your machine?\nERROR: Exception: CA subsystem did not start after 60s\n  File "/usr/lib/python3.9/site-packages/pki/server/pkispawn.py", line 569, in main\n    scriptlet.spawn(deployer)\n  File "/usr/lib/python3.9/site-packages/pki/server/deployment/scriptlets/configuration.py", line 886, in spawn\n    deployer.instance.wait_for_startup(\n  File "/usr/lib/python3.9/site-packages/pki/server/deployment/pkihelper.py", line 891, in wait_for_startup\n    raise Exception(\'%s subsystem did not start after %ds\' %\n\n')
2020-07-21T15:56:24Z CRITICAL See the installation logs and the following files/directories for more information:
2020-07-21T15:56:24Z CRITICAL   /var/log/pki/pki-tomcat
2020-07-21T15:56:24Z DEBUG Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/ipaserver/install/dogtaginstance.py", line 193, in spawn_instance
    ipautil.run(args, nolog=nolog_list)
  File "/usr/lib/python3.9/site-packages/ipapython/ipautil.py", line 597, in run
    raise CalledProcessError(
ipapython.ipautil.CalledProcessError: CalledProcessError(Command ['/usr/sbin/pkispawn', '-s', 'CA', '-f', '/tmp/tmpdcg6sf32'] returned non-zero exit status 1: 'Notice: Trust flag u is set automatically if the private key is present.\nsudo: unable to load /usr/lib64/libsss_sudo.so: /usr/lib64/libsss_sudo.so: cannot open shared object file: No such file or directory\nsudo: unable to initialize SSS source. Is SSSD installed on your machine?\nsudo: unable to load /usr/lib64/libsss_sudo.so: /usr/lib64/libsss_sudo.so: cannot open shared object file: No such file or directory\nsudo: unable to initialize SSS source. Is SSSD installed on your machine?\nERROR: Exception: CA subsystem did not start after 60s\n  File "/usr/lib/python3.9/site-packages/pki/server/pkispawn.py", line 569, in main\n    scriptlet.spawn(deployer)\n  File "/usr/lib/python3.9/site-packages/pki/server/deployment/scriptlets/configuration.py", line 886, in spawn\n    deployer.instance.wait_for_startup(\n  File "/usr/lib/python3.9/site-packages/pki/server/deployment/pkihelper.py", line 891, in wait_for_startup\n    raise Exception(\'%s subsystem did not start after %ds\' %\n\n')

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/ipaserver/install/service.py", line 603, in start_creation
    run_step(full_msg, method)
  File "/usr/lib/python3.9/site-packages/ipaserver/install/service.py", line 589, in run_step
    method()
  File "/usr/lib/python3.9/site-packages/ipaserver/install/cainstance.py", line 596, in __spawn_instance
    DogtagInstance.spawn_instance(
  File "/usr/lib/python3.9/site-packages/ipaserver/install/dogtaginstance.py", line 195, in spawn_instance
    self.handle_setup_error(e)
  File "/usr/lib/python3.9/site-packages/ipaserver/install/dogtaginstance.py", line 504, in handle_setup_error
    raise RuntimeError("%s configuration failed." % self.subsystem)
RuntimeError: CA configuration failed.

2020-07-21T15:56:24Z DEBUG   [error] RuntimeError: CA configuration failed.
2020-07-21T15:56:24Z DEBUG Removing /root/.dogtag/pki-tomcat/ca
2020-07-21T15:56:24Z DEBUG   File "/usr/lib/python3.9/site-packages/ipapython/admintool.py", line 179, in execute
    return_value = self.run()
  File "/usr/lib/python3.9/site-packages/ipapython/install/cli.py", line 340, in run
    return cfgr.run()
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 360, in run
    return self.execute()
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 386, in execute
    for rval in self._executor():
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 431, in __runner
    exc_handler(exc_info)
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 460, in _handle_execute_exception
    self._handle_exception(exc_info)
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 450, in _handle_exception
    six.reraise(*exc_info)
  File "/usr/lib/python3.9/site-packages/six.py", line 703, in reraise
    raise value
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 421, in __runner
    step()
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 418, in <lambda>
    step = lambda: next(self.__gen)
  File "/usr/lib/python3.9/site-packages/ipapython/install/util.py", line 81, in run_generator_with_yield_from
    six.reraise(*exc_info)
  File "/usr/lib/python3.9/site-packages/six.py", line 703, in reraise
    raise value
  File "/usr/lib/python3.9/site-packages/ipapython/install/util.py", line 59, in run_generator_with_yield_from
    value = gen.send(prev_value)
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 655, in _configure
    next(executor)
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 431, in __runner
    exc_handler(exc_info)
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 460, in _handle_execute_exception
    self._handle_exception(exc_info)
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 518, in _handle_exception
    self.__parent._handle_exception(exc_info)
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 450, in _handle_exception
    six.reraise(*exc_info)
  File "/usr/lib/python3.9/site-packages/six.py", line 703, in reraise
    raise value
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 515, in _handle_exception
    super(ComponentBase, self)._handle_exception(exc_info)
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 450, in _handle_exception
    six.reraise(*exc_info)
  File "/usr/lib/python3.9/site-packages/six.py", line 703, in reraise
    raise value
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 421, in __runner
    step()
  File "/usr/lib/python3.9/site-packages/ipapython/install/core.py", line 418, in <lambda>
    step = lambda: next(self.__gen)
  File "/usr/lib/python3.9/site-packages/ipapython/install/util.py", line 81, in run_generator_with_yield_from
    six.reraise(*exc_info)
  File "/usr/lib/python3.9/site-packages/six.py", line 703, in reraise
    raise value
  File "/usr/lib/python3.9/site-packages/ipapython/install/util.py", line 59, in run_generator_with_yield_from
    value = gen.send(prev_value)
  File "/usr/lib/python3.9/site-packages/ipapython/install/common.py", line 65, in _install
    for unused in self._installer(self.parent):
  File "/usr/lib/python3.9/site-packages/ipaserver/install/server/__init__.py", line 569, in main
    master_install(self)
  File "/usr/lib/python3.9/site-packages/ipaserver/install/server/install.py", line 276, in decorated
    func(installer)
  File "/usr/lib/python3.9/site-packages/ipaserver/install/server/install.py", line 892, in install
    ca.install_step_0(False, None, options, custodia=custodia)
  File "/usr/lib/python3.9/site-packages/ipaserver/install/ca.py", line 338, in install_step_0
    ca.configure_instance(
  File "/usr/lib/python3.9/site-packages/ipaserver/install/cainstance.py", line 482, in configure_instance
    self.start_creation(runtime=runtime)
  File "/usr/lib/python3.9/site-packages/ipaserver/install/service.py", line 603, in start_creation
    run_step(full_msg, method)
  File "/usr/lib/python3.9/site-packages/ipaserver/install/service.py", line 589, in run_step
    method()
  File "/usr/lib/python3.9/site-packages/ipaserver/install/cainstance.py", line 596, in __spawn_instance
    DogtagInstance.spawn_instance(
  File "/usr/lib/python3.9/site-packages/ipaserver/install/dogtaginstance.py", line 195, in spawn_instance
    self.handle_setup_error(e)
  File "/usr/lib/python3.9/site-packages/ipaserver/install/dogtaginstance.py", line 504, in handle_setup_error
    raise RuntimeError("%s configuration failed." % self.subsystem)

2020-07-21T15:56:24Z DEBUG The ipa-server-install command failed, exception: RuntimeError: CA configuration failed.
2020-07-21T15:56:24Z ERROR CA configuration failed.
2020-07-21T15:56:24Z ERROR The ipa-server-install command failed. See /var/log/ipaserver-install.log for more information

Comment 4 Rob Crittenden 2020-07-21 16:04:35 UTC
Can you see how sudo is configured in nsswitch.conf? I expect that it will be files sss. dogtag calls out to sudo in a couple of places (raw grep of their python) so I think that explains the failure you're seeing. Maybe try without sss in nsswitch.conf?

Comment 5 Jan Pazdziora 2020-07-22 08:47:04 UTC
Yes, there is

# grep sudo /etc/nsswitch.conf
sudoers:    files sss

That's however exactly what is on Fedora 32 and I don't see that failure there even if the libsss_sudo is not installed there either.

It seems like whatever is putting that sudoers: sss to nsswitch.conf should ensure that the necessary libraries are installed and stay installed, or in general things should not be failing like they did not fail before. It is also possible that dogtag or something now calls sudo where it did not do so before ...

Comment 6 François Cami 2020-07-22 09:17:27 UTC
* f32 ships without any sudo line in /etc/nsswitch.conf e.g. my clean VM has no such line.
* ipa-client-install has a --nosudo (do not configure SSSD as data source for sudo) knob but that is not exposed in ipa-server-install.
* Dogtag had that sudo call in f31 as well.

Either:
* we add a --nosudo knob to ipa-server-install and conditionally check for libsss_sudo similarly to what is done for DNS
* we hard-require libsss_sudo anyway.
I would rather do #2.
Rob, WDYT?

Comment 7 Jan Pazdziora 2020-07-22 09:39:48 UTC
So what we do in the container situation in https://github.com/freeipa/freeipa-container/blob/master/Dockerfile.fedora-32#L66 is run the

authselect select sssd with-sudo --force

command in build time and then replace the authselect binary with

https://github.com/freeipa/freeipa-container/blob/master/authselect

to avoid running that same command again in run time, which was causing runtime changes to the image.

I assume we could setup things without sudo in build time and then just ignore either option in runtime. But I still don't fully understand why things fail on rawhide when they don't fail on Fedora 32, and why dogtag uses sudo instead of (say) runuser.

Comment 8 Rob Crittenden 2020-07-23 13:13:42 UTC
Alex, can you comment on use of sudo by pki?

Comment 9 François Cami 2020-07-23 13:17:13 UTC
pki using sudo is not the real issue there, it is the tree hiding the forest: even if pki switched to runuser we'd end up with a server configured with a broken sudo.

Comment 11 Dinesh Prasanth 2020-07-23 15:02:17 UTC
This was reported recently by Alexander upstream: https://pagure.io/dogtagpki/issue/3171

I have added a patch[1] to move from usage of `sudo` to `runuser`. Since the latter CANNOT
be executed by non-root users, this patch might require additional testing. I believe if
this patch gets accepted, will/should land in RHEL8.4

[1] https://github.com/SilleBille/pki/commit/8eba91856503c4518429ded1116903bb9d841d5a

Comment 12 Ben Cotton 2020-08-11 13:48:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 13 François Cami 2020-10-06 14:30:21 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/8530

Comment 15 Fedora Update System 2021-02-15 21:01:55 UTC
FEDORA-2021-9ead482997 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-9ead482997

Comment 16 Fedora Update System 2021-02-15 21:02:06 UTC
FEDORA-2021-a53fdfcaeb has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-a53fdfcaeb

Comment 17 Fedora Update System 2021-02-16 01:15:10 UTC
FEDORA-2021-a53fdfcaeb has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-a53fdfcaeb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-a53fdfcaeb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2021-02-16 01:18:47 UTC
FEDORA-2021-9ead482997 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-9ead482997`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-9ead482997

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2021-03-31 07:18:15 UTC
FEDORA-2021-04b050e3d1 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-04b050e3d1

Comment 23 Fedora Update System 2021-03-31 07:19:32 UTC
FEDORA-2021-b6f97d3eed has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b6f97d3eed

Comment 24 Fedora Update System 2021-03-31 07:20:41 UTC
FEDORA-2021-5679e54fda has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5679e54fda

Comment 25 Fedora Update System 2021-04-01 02:03:58 UTC
FEDORA-2021-04b050e3d1 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-04b050e3d1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-04b050e3d1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 26 Fedora Update System 2021-04-01 02:35:49 UTC
FEDORA-2021-b6f97d3eed has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b6f97d3eed`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b6f97d3eed

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 27 Fedora Update System 2021-04-01 02:36:08 UTC
FEDORA-2021-5679e54fda has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5679e54fda`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5679e54fda

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 28 Fedora Update System 2021-04-02 00:17:39 UTC
FEDORA-2021-04b050e3d1 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 29 Fedora Update System 2021-04-08 20:42:32 UTC
FEDORA-2021-5679e54fda has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 30 Fedora Update System 2021-04-08 20:56:55 UTC
FEDORA-2021-b6f97d3eed has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.